> # NAME

> cgGetStateType - returns the type of a given state

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGtype cgGetStateType( CGstate state );

> # PARAMETERS

> state

>   The state from which to retrieve the type.

> # RETURN VALUES

> Returns the CGtype of the given state.

> # DESCRIPTION

> cgGetStateType returns the type of a state that was previously defined via cgCreateState, cgCreateArrayState, cgCreateSamplerState, or cgCreateSamplerArrayState.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_STATE_HANDLE_ERROR is generated if state is not a valid state.

> # HISTORY

> cgGetStateType was introduced in Cg 1.4.

> # SEE ALSO

> cgCreateState, cgCreateArrayState, cgCreateSamplerState, cgCreateSamplerArrayState, cgGetStateName